package com.offline.music.playermp3.javabean;

import io.objectbox.annotation.Entity;
import io.objectbox.annotation.Id;

@Entity
public class BoxLikeSong {
    @Id
    public long id;
    private String songName;

    private String singerName;
    private String videoId;

    private String covert;
    private long durationMs;
    private String duration ;



    public BoxLikeSong( ) {

    }

    public BoxLikeSong(String songName, String singerName, String videoId, String covert,long durationMs,String duration) {
        this.songName = songName;
        this.singerName = singerName;
        this.videoId = videoId;
        this.covert = covert;
        this.durationMs = durationMs;
        this.duration = duration;
    }


    public long getDurationMs() {
        return durationMs;
    }
    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }
    public void setDurationMs(long durationMs) {
        this.durationMs = durationMs;
    }

    public String getSingerName() {
        return singerName;
    }

    public void setSingerName(String singerName) {
        this.singerName = singerName;
    }

    public String getVideoId() {
        return videoId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }

    public String getCovert() {
        return covert;
    }

    public void setCovert(String covert) {
        this.covert = covert;
    }

    public String getSongName() {
        return songName;
    }

    public void setSongName(String songName) {
        this.songName = songName;
    }
}
